=== debian/changelog ===
aranym (1.0.2-2) unstable; urgency=medium

  * [1ac234e] Update autoconf configs (Closes: #727321)

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Mon, 20 Oct 2014 11:29:26 +0200

aranym (1.0.2-1) unstable; urgency=medium

  * [dd0a61d] Imported Upstream version 1.0.2
  * [b126901] Disable JIT on kfreebsd amd64

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 16:25:25 +0200

aranym (1.0.1-1) unstable; urgency=medium

  * [0f902ee] Imported Upstream version 1.0.1
  * [268c57f] Re-enable JIT on kfreebsd
  * [ca35c13] Disable usbhost on kfreebsd for now.

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 12:29:50 +0200

aranym (1.0.0-1) unstable; urgency=medium

  * [c3c80f6] Imported Upstream version 1.0.0
  * [68e5ee6] Enable JIT on arm
  * [0b31c2e] libusb-1.0-0-dev is now provided by libusb2-dev on kfreebsd, but
    it is not available on hurd-i386

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Fri, 17 Oct 2014 10:42:58 +0200

aranym (0.9.16-2) unstable; urgency=medium

  * [07da0ad] Do not built JIT on kfreebsd

 -- Antonin Kral <A.Kral@sh.cvut.cz>  Tue, 14 Oct 2014 10:27:23 +0200
