=== debian/control ===
Source: aranym
Section: otherosfs
Priority: extra
Maintainer: Antonin Kral <A.Kral@sh.cvut.cz>
Homepage: http://aranym.org/
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.16.1~), autotools-dev, bzip2, libsdl1.2-dev, libsdl-image1.2-dev, libmpfr-dev, libusb-1.0-0-dev [!hurd-i386], imagemagick, quilt

Package: aranym
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: uml-utilities, bridge-utils
Conflicts: aranym-jit, aranym-mmu
Description: Atari Running on Any Machine
 Virtual Machine for running Atari 32-bit operating systems and applications
