=== atari/nfosmesa/Makefile ===
--- 
+++ 
@@ -6,13 +6,13 @@
 # We create a coldfire binary, though.
 # (of course a v4e binary makes only sense when Aranym is emulating a FireBEE ;)
 #
-CFLAGS  = -O2 -fomit-frame-pointer -Wall -I.
+CFLAGS  = -O2 -fomit-frame-pointer -Wall -I. -DTGL_ENABLE_CHECKS
 ASFLAGS =
 LDFLAGS = -lldg -lgem
 
 NOSTARTUP=yes
 
-OBJECTS = nfosmesa.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-gl.o natfeat.o natfeat_asm.o
+OBJECTS = nfosmesa.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-ldg.o lib-gl.o natfeat.o natfeat_asm.o
 
 ifeq ($(NOSTARTUP),yes)
 OBJECTS += crtinit.o libc.o
@@ -33,7 +33,7 @@
 
 all:	dirs m68k/osmesa.ldg v4e/osmesa.ldg \
 	m68k/tiny_gl.ldg v4e/tiny_gl.ldg \
-	m68k/tiny_gl.slb
+	m68k/tiny_gl.slb m68k/osmesa.slb
 
 
 crt0.o: crt0.S
@@ -55,6 +55,9 @@
 	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
 
 lib-misc_68k.o: lib-misc.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
+
+lib-ldg_68k.o: lib-ldg.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
 
 lib-gl_68k.o: lib-gl.c
@@ -83,6 +86,9 @@
 lib-misc_v4e.o: lib-misc.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
+lib-ldg_v4e.o: lib-ldg.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
+
 lib-gl_v4e.o: lib-gl.c
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
@@ -93,7 +99,7 @@
 	$(AM_V_CC)$(CC) $(ASFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
 
-TINY_OBJECTS = nftiny_gl.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-tinygl.o natfeat.o natfeat_asm.o 
+TINY_OBJECTS = nftiny_gl.o lib-osmesa.o lib-oldmesa.o lib-misc.o lib-ldg.o lib-tinygl.o natfeat.o natfeat_asm.o 
 
 ifeq ($(NOSTARTUP),yes)
 TINY_OBJECTS += crtinit.o libc.o
@@ -137,19 +143,39 @@
 	$(AM_V_CC)$(CC) $(CFLAGS) $(MV4E_FLAGS) -c -o $@ $<
 
 
+STRIPEX = ../tools/stripex
+
+# -ffreestanding is needed to prevent GNU-C from optimizing fprintf to fputs
+# -fno-unit-at-a-time is needed to prevent static functions
+# to be moved before the SLB header
+SLB_CFLAGS = -fno-unit-at-a-time -ffreestanding
+
+TINYGL_SLB_OBJS=tiny_gl_slb.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
+OSMESA_SLB_OBJS=osmesa_slb.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
+
 # -mprg-flags,15 is fastload, load to ttram, mallocs from ttram, and bit3 required for SLBs
-m68k/tiny_gl.slb: tiny_gl_slb.o lib-tinygl_68k.o lib-osmesa_68k.o lib-oldmesa_68k.o lib-misc_68k.o libc_68k.o natfeat_68k.o natfeat_asm_68k.o
-	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $^ -lgcc
+m68k/tiny_gl.slb: $(TINYGL_SLB_OBJS) $(STRIPEX)
+	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $(TINYGL_SLB_OBJS) -lgcc
+	$(AM_V_at)$(STRIPEX) $@
+
+m68k/osmesa.slb: $(OSMESA_SLB_OBJS) $(STRIPEX)
+	$(AM_V_LD)$(CC) $(M68K_FLAGS) -nostartfiles -nostdlib -Wl,--mprg-flags,15 -Wl,-b,a.out-mintprg -s -o $@ $(OSMESA_SLB_OBJS) -lgcc
+	$(AM_V_at)$(STRIPEX) $@
 
 tiny_gl_slb.o: tiny_gl_slb.c
-	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) -c -o $@ $<
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) $(SLB_CFLAGS) -c -o $@ $<
+osmesa_slb.o: osmesa_slb.c
+	$(AM_V_CC)$(CC) $(CFLAGS) $(M68K_FLAGS) $(SLB_CFLAGS) -c -o $@ $<
+
+$(STRIPEX): ../tools/stripex.c
+	$(AM_V_CC)$(NATIVECC) $(NATIVECFLAGS) -o $@ $<
 
 
 dirs:
 	$(AM_V_at)$(MKDIR_P) m68k v4e
 
 clean:
-	rm -f *.o m68k/*.ldg m68k/*.slb v4e/*.ldg v4e/*.slb
+	rm -f *.o m68k/*.ldg m68k/*.slb v4e/*.ldg v4e/*.slb $(STRIPEX)
 	-rmdir m68k v4e
 
 TESTDIR=/windows/c/atari/src/ldg-code/test
