=== atari/network/ethernet/nfeth-config/Makefile ===
nfeth-config:	nfeth-config.c
	m68k-atari-mint-gcc -Wall nfeth-config.c -o nfeth-config -lsocket

clean:
	rm -f nfeth-config.o nfeth-config
