=== debian/changelog ===
aranym (1.1.0-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Generalize hurd-i386 into hurd-any.

  [ Gianfranco Costamagna ]
  * Team upload.
  * Commit patch from zhangdandan <zhangdandan@loongson.cn>
    to run autoreconf to update config.guess and config.sub and
    recognize the LoongArch (Closes: #1051907)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Dec 2024 19:04:59 +0100

aranym (1.1.0-2) unstable; urgency=medium

  * Add patch to use pow10() only when it's available

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 15:27:46 +0100

aranym (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Set myself as maintainer in debian/control (Closes: #981180)
  * Drop all patches merged upstream
  * Fix source file names for aranym-mmu and aranym-jit in debian/rules
  * Drop dh_autotools-dev_updateconfig from debian/rules
  * Update debhelper version to 12 and switch to debhelper-compat
  * Update Homepage field in debian/control
  * Add Vcs-* fields to debian/control
  * Update Standards-Version to 4.5.1 in debian/control
  * Run wrap-and-sort to clean up files in debian directory

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 31 Jan 2021 12:57:59 +0100

aranym (1.0.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build failure with glibc-2.26 on ARM32.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Jan 2018 23:39:45 +0100

aranym (1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix kernel soft-lock up during SCSI driver
    initialization when running Linux (Closes: #865928)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 03 Sep 2017 15:53:18 +0200
