=== debian/control ===
Source: aranym
Section: otherosfs
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Homepage: https://aranym.github.io
Vcs-Browser: https://salsa.debian.org/debian/aranym
Vcs-Git: https://salsa.debian.org/debian/aranym.git
Standards-Version: 4.5.1
Build-Depends: autotools-dev,
               bzip2,
               debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1~),
               imagemagick,
               libmpfr-dev,
               libsdl-image1.2-dev,
               libsdl1.2-dev,
               libusb-1.0-0-dev [!hurd-any],
               quilt

Package: aranym
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: bridge-utils, uml-utilities
Conflicts: aranym-jit, aranym-mmu
Description: Atari Running on Any Machine
 Virtual Machine for running Atari 32-bit operating systems and applications
